Bug 121628 - s-c-d does not run if enforcing=1
s-c-d does not run if enforcing=1
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: policy (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Russell Coker
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-23 21:06 EDT by Gene Czarcinski
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-06 01:05:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gene Czarcinski 2004-04-23 21:06:27 EDT
Description of problem:
snapshot of development as of 23 April which should be same as FC2T3

everything install with selinux and enfocing=1

if enforcing=0 used on first boot after initial install, then
system-config-display comes up to configure the display.

if enforcing=1 (default) used on first boot after initial install, the
cannot start X to run systems-config-display.  From /var/log/messages:

Apr 22 18:04:03 chaos kernel: audit(1082671443.928:0): avc:  denied  {
getattr } for  pid=2296 exe=/usr/X11R6/bin/Xorg path=/tmp/.X11-unix
dev=hda8 ino=1052847
scontext=system_u:system_r:xdm_xserver_t
tcontext=root:object_r:sysadm_xserver_tmp_t tclass=dir
Apr 22 18:04:05 chaos kernel: audit(1082671445.947:0): avc:  denied  {
getattr } for  pid=2298 exe=/usr/X11R6/bin/Xorg path=/tmp/.X11-unix
dev=hda8 ino=1052847
scontext=system_u:system_r:xdm_xserver_t
tcontext=root:object_r:sysadm_xserver_tmp_t tclass=dir
Apr 22 18:04:10 chaos kernel: audit(1082671450.967:0): avc:  denied  {
getattr } for  pid=2300 exe=/usr/X11R6/bin/Xorg path=/tmp/.X11-unix
dev=hda8 ino=1052847
scontext=system_u:system_r:xdm_xserver_t
tcontext=root:object_r:sysadm_xserver_tmp_t tclass=dir
Apr 22 18:04:14 chaos kernel: audit(1082671454.987:0): avc:  denied  {
getattr } for  pid=2302 exe=/usr/X11R6/bin/Xorg path=/tmp/.X11-unix
dev=hda8 ino=1052847
scontext=system_u:system_r:xdm_xserver_t
tcontext=root:object_r:sysadm_xserver_tmp_t tclass=dir
Apr 22 18:04:15 chaos gdm[2248]: deal_with_x_crashes: Running the
XKeepsCrashing script
Apr 22 18:04:29 chaos gconfd (root-2181): GConf server is not in use,
shutting down.
Apr 22 18:04:29 chaos gconfd (root-2181): Exiting
Comment 1 Gene Czarcinski 2004-04-28 12:35:36 EDT
Oops, summary wrong
Comment 2 Daniel Walsh 2004-11-06 01:05:15 EST
Fixed in current release.

Note You need to log in before you can comment on or make changes to this bug.